Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.definition.dao
Interface DefinitionDAO<K>

Type Parameters:
  `K` - The customization key class.

All Known Implementing Classes:
  BaseLocaleUrlDefinitionDAO, CachingLocaleUrlDefinitionDAO, LocaleUrlDefinitionDAO, ResolvingLocaleUrlDefinitionDAO

    public interface DefinitionDAO<K>

It represents an object that provides definitions, depending on a customization key.

Since:
  2.1.0
Version:
  $Rev: 666834 $ $Date: 2008-06-11 22:49:05 +0200 (mer, 11 giu 2008) $

Method Summary
`Definition` | `getDefinition(java.lang.String name, K customizationKey)` Returns a definition, given its name and the customization key.
`java.util.Map<java.lang.String,Definition>` | `getDefinitions(K customizationKey)` Returns all the definitions used of a customization key.

Method Detail

### getDefinition

    Definition getDefinition(java.lang.String name,
                             K customizationKey)

  Returns a definition, given its name and the customization key.

  Parameters:
    `name` - The name of the definition.
    `customizationKey` - The customization key.
  Returns:
    The requested definition, if found, otherwise `null`. The inheritance of the definition must not be resolved.
  Since:
    2.1.0

### getDefinitions

    java.util.Map<java.lang.String,Definition> getDefinitions(K customizationKey)

  Returns all the definitions used of a customization key.

  Parameters:
    `customizationKey` - The customization key.
  Returns:
    All the definitions that are connected to the customization key. The inheritance of the definitions must not be resolved.
  Since:
    2.1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.